#pragma once
#include <math.h>

#define M_PI acos(-1.0)

// ここの定義でアームモジュール全体の動作を変える
#define DEG2RAD( deg ) deg*M_PI/180
#define RAD2DEG( rad ) rad*180/M_PI

// 各関節の禁止領域
const float ARM_FORBIDEN_ARE[6][2] =
{
	{ DEG2RAD(30) , DEG2RAD(300) } , 
	{ DEG2RAD(90)  ,DEG2RAD(270) } ,
	{ DEG2RAD(260) , DEG2RAD(280) } ,
	{ 0 , 0 } ,
	{ 0 , 0 } ,
	{ 0 , 0 }
};

// 基準座標系（ロボット座標系）から、このアームへの座標変換関数
void Robo2ArmL( float pos[6] );
void Arm2RoboL( float pos[6] );
void Robo2ArmR( float pos[6] );
void Arm2RoboR( float pos[6] );